package com.cf.imes.module.system.service.machine;

import com.cf.imes.framework.common.pojo.PageResult;
import com.cf.imes.module.system.controller.admin.machine.vo.*;
import com.cf.imes.module.system.dal.dataobject.machinetemplate.MachineTemplateDO;

import java.util.List;
import java.util.Map;

/**
 * @author there
 *
 */
public interface MachineTemplateService {

    PageResult<MachineTemplateDO> page(MachinePageReqVO pageParam);


    Long createCuttingTemplate(CuttingTemplateSaveReqVO reqVO);

    Boolean updateCuttingTemplate(CuttingTemplateSaveReqVO reqVO);

    CuttingTemplateRespVO getCuttingTemplateById(String id);

    Boolean deleteCuttingTemplate(Long id);

    Boolean batchDeleteCuttingTemplate(MachineTemplateBrandReqVO reqVO);


    Map<Integer, List<MachineTemplateRespVO>> getMachineTemplateTree();

    PageResult<OrganTemplateResp> organTemplatePage(OrganTemplatePage page);

    OrganTemplateResp organTemplateByOrganId(Long organId);


    void createMachineTemplateBrand(MachineTemplateBrandReqVO reqVO);

    void updateMachineTemplateBrand(MachineTemplateBrandReqVO reqVO);

    TemplateAutoResp getTemplateAuth(Long organId);


}
